/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CellInfoDescription } from "./CellInfoDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class NumericCellInfoDescription extends CellInfoDescription {
    constructor() {
        super();
        this.dp = 0;
        this.dk = false;
        this.dx = null;
        this.dy = null;
        this.d0 = null;
        this.dz = null;
        this.d1 = null;
        this.dr = 0;
        this.ds = 0;
        this.dt = 0;
        this.dl = false;
    }
    get_type() {
        return "NumericCellInfo";
    }
    get numericValue() {
        return this.dp;
    }
    set numericValue(a) {
        this.dp = a;
        this.e("NumericValue");
    }
    get hasDecimalValue() {
        return this.dk;
    }
    set hasDecimalValue(a) {
        this.dk = a;
        this.e("HasDecimalValue");
    }
    get formatOverrideRef() {
        return this.dx;
    }
    set formatOverrideRef(a) {
        this.dx = a;
        this.e("FormatOverrideRef");
    }
    get negativePrefix() {
        return this.dy;
    }
    set negativePrefix(a) {
        this.dy = a;
        this.e("NegativePrefix");
    }
    get positivePrefix() {
        return this.d0;
    }
    set positivePrefix(a) {
        this.d0 = a;
        this.e("PositivePrefix");
    }
    get negativeSuffix() {
        return this.dz;
    }
    set negativeSuffix(a) {
        this.dz = a;
        this.e("NegativeSuffix");
    }
    get positiveSuffix() {
        return this.d1;
    }
    set positiveSuffix(a) {
        this.d1 = a;
        this.e("PositiveSuffix");
    }
    get maxFractionDigits() {
        return this.dr;
    }
    set maxFractionDigits(a) {
        this.dr = a;
        this.e("MaxFractionDigits");
    }
    get minFractionDigits() {
        return this.ds;
    }
    set minFractionDigits(a) {
        this.ds = a;
        this.e("MinFractionDigits");
    }
    get minIntegerDigits() {
        return this.dt;
    }
    set minIntegerDigits(a) {
        this.dt = a;
        this.e("MinIntegerDigits");
    }
    get showGroupingSeparator() {
        return this.dl;
    }
    set showGroupingSeparator(a) {
        this.dl = a;
        this.e("ShowGroupingSeparator");
    }
}
NumericCellInfoDescription.$t = markType(NumericCellInfoDescription, 'NumericCellInfoDescription', CellInfoDescription.$);
